function priv_assert( Flag, Text)
%MLASSERT  validate condition
%
%  mlassert( Flag, Text)
%
%  stop execution with error message 'Text' if
%  condition 'Flag' is false.
%
%  Flag : condition (logical)
%  Text : error message

% (c) G. Beyerle 1992-2012

%  if nargin ~= 1 & nargin ~= 2,
%    error([upper( mfilename) ': Aufruf ist mlassert( Flag[, Text])']);
%  end
  
%  if ~(all(all(Flag(~isnan(Flag))))),
%    if nargin == 1,
%      error([MFile 'assertion failed!']);
%    else
%      error([MFile 'assertion failed: ' Text]);
%    end
%  end

  if isempty( Flag) || ~(all(all(Flag(~isnan(Flag))))),
%    dbstop if error
    dbstack
    if nargin == 1,
      error( [upper( mfilename) ': assertion failed!']);
    else
      error( [upper( mfilename) ': assertion failed: ' Text]);
    end    
  end

end

