function y = priv_isodd( x)
%ISODD True for odd matrix elements.
%
%   y = isodd( x)
%
%	returns 1 for odd elements of X  and 0 otherwise.

% (c) G. Beyerle 1993-2013

  y = ((round((x+1)/2) == (x+1)/2) & isfinite(x));

end

