function Ret = isskewhermitianmatrix( x)
%ISSELFADJOINT  check if matrix x is anti-hermitian (skew-hermitian)
%
%  Ret = isantihermitian( x)

% (c) 2013 G. Beyerle

  Delta = x + transpose( conj( x));

  if max( max( abs( Delta))) < 1e3*eps;
    Ret = true;  
  else
    Ret = false;  
  end
  
end
