function pp2 = priv_polypower( pp, n)
%POLYPOWER power of polynomials
%
%  pp2 = polypower( pp, n)
%

% (c) 2013 G. Beyerle

%  mlassert( isinteger( n))

  priv_assert( n > 0)
  
  if n == 1,
    pp2 = pp;
    return
  end
  
%   ppF = flipdim( diag( pp), 1);
%   Tmp = ppF;

  Tmp = pp;

  for i = 2:n
%    Tmp = kron( Tmp, ppF);
    Tmp = conv( Tmp, pp);
  end
  
%  pp2 = diag( flipdim( Tmp, 1))';
  pp2 = Tmp;

end
